Description

Definir qué tareas se realizan y cómo en cada proyecto de gvSIG de cara a la incubación en OSGeo

Para ello primero se abordó el trabajo en las tareas #1722 y #1733 de cara a extraer dichas tareas de forma general y plasmarlo
aquí.

Para ver qué tareas hay que realizar se ha partido del documento Code Provenance Review Process, así como de ejemplos de otros
proyectos como:

    -  GDAL: http://wiki.osgeo.org/wiki/GDAL_Provenance_Review
    -  Geotools: http://docs.codehaus.org/display/GEOTOOLS/GeoTools+Provenance+Review
    -  QGIS: http://wiki.osgeo.org/wiki/QGIS_Provenance_Review
    -  Deegree: http://wiki.deegree.org/deegreeWiki/OSGeoIncubationCodeProvenanceReviewReport

El resultado es el siguiente (en inglés de cara al documento para OSGeo). Tareas a realizar en cada proyecto:

Preparation tasks.
    -  Checkout the current trunk project source code.
    -  Compile it: mvn clean install.

Code Copyright Review
    1. Does the file include the license information? If not, add it if there there is no ambiguity about whether the standard project
license applies. If that is not obvious, make notes in the review document.
Make sure all source code files contain the current valid gvSIG header. You can use a maven plugin configured to perform the task
with::

mvn license:format

Once the process has finished, review the file changes and upload them to the repository. For example, perform a mvn clean install,
check all unit tests keep working, and check also the .main project to see if it still works.

This tool will change all source code files. If there are external files with other copyright header or ownership, undo the change before
uploading the header changes. Finally, commit all changes.

If the headers have been already updated, check if they are correct with the following instruction::
mvn license:check

    1. Is the file under the normal project license? If not, make notes in the review document.
    2. Is there anything obviously unusual about the origin of the code? Does this pose any conflicts? Is the issue properly described in
the source file? For instance, in GDAL, the gdal/port/cpl_strtod.cpp file is closely derived from external code that was placed in the
public domain. cpl_strtod.cpp is placed under the normal GDAL MIT/X license, but detailed notes are kept in the header text on it's
origin, the fact that this was public domain and so the fact that it is ok to relicense it. Oddities should be noted in the source file itself
and in the review document.
    3. Maintain a list of all copyright holders identified in the Provenance Review Document. This list is essentially everyone who would
need to agree to relicense the project. It may be desirable to seek copyright assignment to a "project lead", or to the foundation to
reduce the number of copyright holders for the project, although this is not required.

Library/Component Review Process
    1. List any external components that are included "in the source tree" for the project.

    1. List all external dependencies with:
        -  Potentially problematic license terms (all non-free libraries, for instance).
        -  All libraries with licenses that might conflict (for instance GDAL's use of GPL'ed GRASS libraries in the non-GPL GDAL).

To perform this task, first of all generate the project's site documentation and upload it:: 
mvn site-deploy

It will take a very long time to generate all the site documentation, as the javadoc pages generation takes ages and generates a lot of
files, which must be uploaded one by one.

Then go to the site of each final submodule project (the ones with java code) and open the link Project Information > Dependencies
. There you will find all project dependencies and its license. Add the following anchor link to the URL to go straight to the dependency
tree: #Dependency_Tree.

Review all the external dependencies and its related license. If the license is not defined, look for the project home page and its
license. If there is any incompatibility with the GPLv2 license add a note to the dependency, license if any, project home page and all
available information.

You can take a look at the following page for a list of GPL compatible and non-compatible or non-free licenses: 
http://www.gnu.org/licenses/license-list.html .

History
#1 - 04/09/2013 03:33 PM - Cesar Ordiñana
- Description updated

#2 - 05/02/2013 05:35 PM - Cesar Ordiñana

Las tareas a realizar se extraerán del siguiente documento:

http://www.osgeo.org/incubator/process/codereview.html

#3 - 05/13/2013 12:52 PM - Cesar Ordiñana
- Description updated
- Status changed from New to Fixed
- % Done changed from 0 to 100

#4 - 05/13/2013 12:55 PM - Cesar Ordiñana
- Description updated

#5 - 05/13/2013 12:56 PM - Cesar Ordiñana
- Description updated

#6 - 03/10/2014 09:35 AM - Álvaro Anguix
- Status changed from Fixed to Closed
